Page MenuHomePhabricator

Tracking: API/backend issues blocking Wikipedia app development
Closed, ResolvedPublic

Description

This is a tracking bug for any issues with the API or backend that are blocking, or causing undue difficulties to, the Mobile Apps Team from developing the Wikipedia app.

Details

Reference
bz73616

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedDeskana
OpenNone
ResolvedTobi_WMDE_SW
Resolveddemon
ResolvedDeskana
ResolvedNone
Resolveddemon
ResolvedAnomie
DeclinedNone
Resolvedovasileva
ResolvedTgr
ResolvedAnomie
Resolved GWicke
OpenNone
DeclinedNone
ResolvedKrenair
ResolvedDeskana
DuplicateNone

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:54 AM
bzimport set Reference to bz73616.
bzimport added a subscriber: Unknown Object (MLST).
Deskana created this task.Nov 19 2014, 6:39 PM
Deskana changed the task status from Open to Stalled.Jan 21 2015, 4:25 PM

This is probably stalled by definition, right? :-)

Deskana claimed this task.Jan 21 2015, 4:28 PM
Deskana triaged this task as Normal priority.
Deskana set Security to None.
Tnegrin added a subscriber: bd808.Jan 28 2015, 11:58 PM
Tnegrin added a subscriber: Tnegrin.

Hi Bryan -- here's a ticket that mobile app team has been using to tracking platform requests.

-Toby

Deskana renamed this task from Tracking: API issues blocking Wikipedia app development to Tracking: API/backend issues blocking Wikipedia app development.Jan 28 2015, 11:59 PM
Deskana updated the task description. (Show Details)

Can we prioritize these? What's blocking near term releases/features?

@Eloquence Nothing in this list is blocking feature development right now. Mostly these are either causing performance issues or are areas where features are working suboptimally as a result of the issue. The three highest priority for us in the short term are:

T87824 - Specialised content API for apps
T86955 - Descriptions out of date in image viewer
T87336 - PageImages returning images way below the fold

All of the account creation and login ones are not a priority in the short term, but in the mid term where we're imagining Collections being on the apps then those bubble up in priority because the account creation and login workflow become much more important.

Does that answer your question or do you need more information?

Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Feb 19 2015, 6:04 PM
Deskana added a comment.EditedJul 15 2015, 4:24 PM

This comment was left on the wrong task, so I deleted it. :-)

Deskana removed Deskana as the assignee of this task.Jul 27 2015, 6:08 PM

@JMinor @Dbrant Is this task still useful to you two? I created it back when I was the product owner for the apps as a tracking mechanism, so if it's not useful to either of you any more then we can just close it.

I haven't referred to this task in quite a while. I'd be fine with closing.

MaxSem removed a subscriber: MaxSem.Jan 22 2016, 12:49 AM
Deskana closed this task as Resolved.Jan 25 2016, 10:57 PM
Deskana claimed this task.

Per the above, this task has served its purpose, so closing accordingly.